DbEnv::get_tx_timestamp()
Prev | Chapter 13. The DbTxn Handle | Next

## DbEnv::get_tx_timestamp()

    #include <db_cxx.h>

    int
    DbEnv::get_tx_timestamp(time_t *timestampp);

The `DbEnv::get_tx_timestamp()` method returns the recovery timestamp. This value can be modified using the DbEnv::set_tx_timestamp() method.

The `DbEnv::get_tx_timestamp()` method may be called at any time during the life of the application.

The `DbEnv::get_tx_timestamp()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### timestampp

The `DbEnv::get_tx_timestamp()` method returns the recovery timestamp in timestampp.

### Class

DbEnv, DbTxn

### See Also

Transaction Subsystem and Related Methods, DbEnv::set_tx_timestamp()

Prev | Up | Next
DbEnv::get_tx_max() | Home | DbEnv::set_tx_max()